
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.BI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static APT.MS.Domain.Enums.BI.BIEnums;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// 登录记录表
    /// </summary>
    [Description("登录记录表")]
    public class T_BI_LOGIN_RECORD : MesEntityBase
    {
        [Description("登录人员")]
        [FormFieldTable]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        [Description("导航属性：班组名称")]
        public T_FM_USER Nav_User { get; set; }

        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：部门名称")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 版本号
        /// </summary>
        [Description("版本号")]
        [DataFieldLength(1000)]
        public string VERSION { get; set; }
        /// <summary>
        /// 终端
        /// </summary>
        [Description("终端")]
        [DataFieldLength(10)]
        public string FROM { get; set; }

    }
}
